/*
 *  glue.h
 *  Derived from q4linux
 *
 *  Converts QuickTime movie files to AVI format
 *
 *  Modified by Benoit Joossen (July 2005).
 *  Company : Aero Quartet
 *
 *  You may copy, modify and redistribute this source file under
 *  the terms of the GNU Public License
 *
 */

#include <Carbon/Carbon.h>
#include <QuickTime/QuickTime.h>

extern float audioSamplesAccumulator;
extern int audioSamples;
extern int videoSamples;
extern int audioFrames;
extern int audioSync;
extern int sampleSize;
extern int sampleRate;
extern int audioFactor;
extern float audioLever;
extern int mediaSampleSize;
extern int mediaRefs;
extern unsigned char* readBuffer[100];
extern off_t bufferPos[100];
extern FILE* refFiles[100];
extern Boolean isAudioCompressed;
extern Boolean audioSyncSupported;
extern int packetSize;
extern Boolean isSpecialADPCM;
extern Boolean reverse16;
extern float globalFPS;
extern Boolean copySampleDescription;
extern SoundDescriptionHandle sdh;

int quicktime_avg_chunk_samples(quicktime_t *file, quicktime_trak_t *trak);
double quicktime_frame_rate(quicktime_t *file, int track);
long quicktime_track_samples(quicktime_t *file, quicktime_trak_t *trak);